VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form dlgBrowseTerramodel 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Terramodel source file"
   ClientHeight    =   3540
   ClientLeft      =   2760
   ClientTop       =   3750
   ClientWidth     =   10485
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3540
   ScaleWidth      =   10485
   ShowInTaskbar   =   0   'False
   Begin VB.CommandButton cmdAreaBrowse 
      Caption         =   "Browse..."
      Height          =   375
      Left            =   8880
      TabIndex        =   9
      Top             =   2400
      Width           =   1095
   End
   Begin VB.TextBox txtAreaFile 
      Height          =   375
      Left            =   960
      TabIndex        =   8
      Top             =   2400
      Width           =   7695
   End
   Begin VB.CheckBox chkArea 
      Caption         =   "Surface Area file"
      Height          =   375
      Left            =   480
      TabIndex        =   6
      Top             =   1800
      Width           =   2535
   End
   Begin VB.CheckBox chkVolume 
      Caption         =   "Volume file"
      Height          =   375
      Left            =   480
      TabIndex        =   5
      Top             =   240
      Width           =   2535
   End
   Begin VB.CommandButton cmdVolBrowse 
      Caption         =   "Browse..."
      Height          =   375
      Left            =   8880
      TabIndex        =   4
      Top             =   840
      Width           =   1095
   End
   Begin VB.TextBox txtVolFile 
      Height          =   375
      Left            =   1080
      TabIndex        =   3
      Top             =   840
      Width           =   7575
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   9120
      TabIndex        =   1
      Top             =   3120
      Width           =   1215
   End
   Begin VB.CommandButton cmdNext 
      Caption         =   "Next"
      Height          =   375
      Left            =   7680
      TabIndex        =   0
      Top             =   3120
      Width           =   1215
   End
   Begin MSComDlg.CommonDialog cdlFiles 
      Left            =   9960
      Top             =   0
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Label lblAreaFilePath 
      Alignment       =   2  'Center
      Caption         =   "File:"
      Height          =   375
      Left            =   120
      TabIndex        =   7
      Top             =   2400
      Width           =   735
   End
   Begin VB.Label lblVolFilePath 
      Alignment       =   2  'Center
      Caption         =   "File:"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   840
      Width           =   855
   End
   Begin VB.Line Line1 
      BorderColor     =   &H80000000&
      BorderWidth     =   2
      X1              =   0
      X2              =   10440
      Y1              =   3000
      Y2              =   3000
   End
End
Attribute VB_Name = "dlgBrowseTerramodel"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Form_Load()
    chkVolume.Value = vbChecked
    lblAreaFilePath.Enabled = False
    txtAreaFile.Enabled = False
    cmdAreaBrowse.Enabled = False
End Sub
Private Sub chkArea_Click()
    lblAreaFilePath.Enabled = (chkArea.Value = vbChecked)
    txtAreaFile.Enabled = (chkArea.Value = vbChecked)
    cmdAreaBrowse.Enabled = (chkArea.Value = vbChecked)
End Sub

Private Sub chkVolume_Click()
    lblVolFilePath.Enabled = (chkVolume.Value = vbChecked)
    txtVolFile.Enabled = (chkVolume.Value = vbChecked)
    cmdVolBrowse.Enabled = (chkVolume.Value = vbChecked)
End Sub

Private Sub cmdCancel_Click()
    Unload Me
End Sub

Private Sub cmdVolBrowse_Click()
   With cdlFiles
      .Filter = "Files(*.txt)|*.txt"
      .DefaultExt = "txt"
      .DialogTitle = "Open File"
      .Flags = cdlOFNFileMustExist + cdlOFNPathMustExist
      On Error GoTo No_Open
      .ShowOpen
      txtVolFile.Text = .FileName
   End With
Exit Sub
No_Open:
   MsgBox "Error opening file", vbExclamation
End Sub

Private Sub cmdAreaBrowse_Click()
   With cdlFiles
      .Filter = "Files(*.txt)|*.txt"
      .DefaultExt = "txt"
      .DialogTitle = "Open File"
      .Flags = cdlOFNFileMustExist + cdlOFNPathMustExist
      On Error GoTo No_Open
      .ShowOpen
      txtAreaFile.Text = .FileName
   End With
Exit Sub
No_Open:
   MsgBox "Error opening file", vbExclamation
End Sub

Private Sub cmdNext_Click()
Dim FilePath As String
Dim FILENUM As Integer
Dim INPUTTEXT As String
' Open file and fill TextEdit in "View Content"
   MousePointer = 11
   FILENUM = FreeFile() ' use next free filenumber
   FilePath = txtVolFile.Text
   With dlgContentTerramodel
      With .TextEdit
         .Text = ""
         On Error GoTo Error_Open_File ' on error, exit sub
         Open FilePath For Input As #FILENUM
            Do Until EOF(FILENUM)
               Line Input #FILENUM, INPUTTEXT ' read a line in the file
               INPUTTEXT = Trim(INPUTTEXT)
               If InStr(INPUTTEXT, ">") Then .Text = .Text & INPUTTEXT & vbCrLf ' if there is a ">" then it is a data line
            Loop
         Close #FILENUM
      End With
   End With
   MousePointer = 0
   dlgBrowseTerramodel.Hide
   With dlgContentTerramodel
      .Show
      .Caption = .Caption & " => " & FilePath
      .ZOrder
   End With
Exit Sub
Error_Open_File:
   Close #FILENUM
   MousePointer = 0
   MsgBox "There is an error opening the file"
End Sub


