VERSION 5.00
Begin VB.Form dlgContentTerramodel 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Formatting Terramodel data"
   ClientHeight    =   3540
   ClientLeft      =   2760
   ClientTop       =   3750
   ClientWidth     =   10485
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3540
   ScaleWidth      =   10485
   ShowInTaskbar   =   0   'False
   Begin VB.Frame FrameCol 
      BackColor       =   &H000000FF&
      BorderStyle     =   0  'None
      ForeColor       =   &H000000FF&
      Height          =   1755
      Index           =   1
      Left            =   255
      TabIndex        =   10
      Top             =   600
      Width           =   30
   End
   Begin VB.Frame FrameCol 
      BackColor       =   &H00FF0000&
      BorderStyle     =   0  'None
      ForeColor       =   &H00FF0000&
      Height          =   1755
      Index           =   2
      Left            =   420
      TabIndex        =   7
      Top             =   600
      Width           =   30
   End
   Begin VB.TextBox TextEdit 
      BeginProperty Font 
         Name            =   "Fixedsys"
         Size            =   9
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1695
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   11
      Top             =   600
      Width           =   10275
   End
   Begin VB.TextBox TextCol 
      Alignment       =   2  'Center
      BackColor       =   &H00C0C0FF&
      Height          =   315
      Index           =   1
      Left            =   1080
      TabIndex        =   9
      Top             =   2640
      Width           =   795
   End
   Begin VB.HScrollBar HScrollCol 
      Height          =   255
      Index           =   1
      Left            =   1920
      Max             =   80
      TabIndex        =   8
      Top             =   2640
      Value           =   1
      Width           =   495
   End
   Begin VB.HScrollBar HScrollCol 
      Height          =   255
      Index           =   2
      Left            =   4500
      Max             =   80
      TabIndex        =   6
      Top             =   2640
      Value           =   1
      Width           =   495
   End
   Begin VB.TextBox TextCol 
      Alignment       =   2  'Center
      BackColor       =   &H00FFFFC0&
      Height          =   315
      Index           =   2
      Left            =   3660
      TabIndex        =   5
      Top             =   2580
      Width           =   795
   End
   Begin VB.CommandButton ComSaveSettings 
      Height          =   375
      Left            =   5280
      Picture         =   "ReTISRO_v1.4.0_dlgContentTerramodel.frx":0000
      Style           =   1  'Graphical
      TabIndex        =   4
      Top             =   2520
      Width           =   375
   End
   Begin VB.CommandButton ComSwithregionsymbols 
      Caption         =   "Switch symbols"
      Height          =   375
      Left            =   8760
      TabIndex        =   3
      Top             =   2520
      Width           =   1575
   End
   Begin VB.CommandButton cmdBack 
      Caption         =   "Back"
      Height          =   375
      Left            =   6360
      TabIndex        =   2
      Top             =   3120
      Width           =   1215
   End
   Begin VB.CommandButton cmdNext 
      Caption         =   "Next"
      Height          =   375
      Left            =   7680
      TabIndex        =   1
      Top             =   3120
      Width           =   1215
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   9120
      TabIndex        =   0
      Top             =   3120
      Width           =   1215
   End
   Begin VB.Label Label3 
      Caption         =   "Place the column seperator between the data"
      Height          =   375
      Left            =   120
      TabIndex        =   15
      Top             =   240
      Width           =   3975
   End
   Begin VB.Label Label1 
      BackStyle       =   0  'Transparent
      Caption         =   "End Column 1"
      Height          =   255
      Left            =   0
      TabIndex        =   14
      Top             =   2640
      Width           =   1395
   End
   Begin VB.Label Label2 
      BackStyle       =   0  'Transparent
      Caption         =   "End Column 2"
      Height          =   255
      Left            =   2580
      TabIndex        =   13
      Top             =   2640
      Width           =   1035
   End
   Begin VB.Label LabelFraConRegionsettings 
      BackStyle       =   0  'Transparent
      Caption         =   "Label regional"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H000000FF&
      Height          =   255
      Left            =   6480
      TabIndex        =   12
      Top             =   2280
      Width           =   3915
   End
   Begin VB.Line Line1 
      BorderColor     =   &H80000000&
      BorderWidth     =   2
      X1              =   0
      X2              =   10440
      Y1              =   3000
      Y2              =   3000
   End
End
Attribute VB_Name = "dlgContentTerramodel"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim SETTINGS_CHANGED As Boolean ' watch if settings are changed
Dim DECIMALSYMBOL As String ' symbol for User international decimal symbol settings
Dim DIGITGROUPSEP As String ' symbol for User international digital grouping settings


Private Sub Form_Load()
Dim FRAMECOLidx As Integer
Dim FILENUM As Integer
Dim INPUTTEXT As String
    Caption = App.Title & " v:" & App.Major & "." & App.Minor & "." & App.Revision & " View Content"
      For FRAMECOLidx = 1 To 2
      FrameCol(FRAMECOLidx).Left = TextEdit.Left + 30
   Next
' set Label Regional Settings
   DIGITGROUPSEP = Get_locale(LOCALE_STHOUSAND)
   DECIMALSYMBOL = Get_locale(LOCALE_SDECIMAL)
   LabelFraConRegionsettings.Caption = "Data must be of the format= " & "1" & _
         DIGITGROUPSEP & "234" & DIGITGROUPSEP & "567" & DECIMALSYMBOL & "89"
' Load the settings
   FILENUM = FreeFile()
   On Error GoTo Error_Settings
   Open App.Path & "\settings.ini" For Input As #FILENUM
      Do While Not EOF(FILENUM)
         Input #FILENUM, INPUTTEXT ' read header
         Select Case INPUTTEXT
         Case "[ TextCol_1 ]"
            Input #FILENUM, INPUTTEXT ' read value
            HScrollCol(1).Value = Val(INPUTTEXT) ' the sub "HScrollCol_Change" will set the others
         Case "[ TextCol_2 ]"
            Input #FILENUM, INPUTTEXT ' read value
            HScrollCol(2).Value = Val(INPUTTEXT) ' the sub "HScrollCol_Change" will set the others
         End Select
      Loop
   Close #FILENUM
   SETTINGS_CHANGED = False
Exit Sub
Error_Settings:
   MsgBox ("There is an error in the ...\settings.ini file ")
   Close #FILENUM
      ' set col lines on default value
      TextCol(1) = 40 ' change it if the most of the doc's have other lay-out
      TextCol(2) = 60 ' change it if the most of the doc's have other lay-out
End Sub

Private Sub Form_Unload(Cancel As Integer)
Dim MESSAGE As Variant
'Dim FORMSidx As Integer
   If SETTINGS_CHANGED Then _
      MESSAGE = MsgBox(" The Settings are changed !! SAVE ?", vbYesNo)
   If MESSAGE = vbYes Then Call ComSaveSettings_Click
End Sub

Private Sub ComSaveSettings_Click()
Dim FILENUM As Integer
   FILENUM = FreeFile()
   On Error GoTo Error_Open_File
   Open App.Path & "\settings.ini" For Output As #FILENUM
      Write #FILENUM, "[ TextCol_1 ]"
      Write #FILENUM, COLSEP(1)
      Write #FILENUM, "[ TextCol_2 ]"
      Write #FILENUM, COLSEP(2)
   Close #FILENUM
Exit Sub
Error_Open_File:
   Close #FILENUM
   MsgBox "There is an error saving the file !"
End Sub

Private Sub HScrollCol_Change(Index As Integer)
' Sets the column separators
   SETTINGS_CHANGED = True
   COLSEP(Index) = HScrollCol(Index).Value
   TextCol(Index).Text = HScrollCol(Index).Value
   FrameCol(Index).Left = TextEdit.Left + 45 + (Val(TextCol(Index)) * 120)
End Sub

Private Sub TextCol_Change(Index As Integer)
   If Val(TextCol(Index)) <= HScrollCol(Index).Max Then
      COLSEP(Index) = Val(TextCol(Index))
      HScrollCol(Index) = COLSEP(Index)
      ' position of ruler-line = textbox.left + frame + (value set * char space)
      FrameCol(Index).Left = TextEdit.Left + 45 + (COLSEP(Index) * 120)
      SETTINGS_CHANGED = True
   Else
      MsgBox "Value too big: max.= " & HScrollCol(Index).Max
   End If
End Sub

Private Sub cmdBack_Click()
    dlgBrowseTerramodel.Show
End Sub

Private Sub cmdNext_Click()
    dlgTableTerramodel.Show
End Sub

Private Sub cmdCancel_Click()
    Unload Me
    Unload dlgBrowseTerramodel
End Sub
